function miningSave(%client)
{
	if(%client.bl_id == 999999)
		%bl_id = getNumKeyID();
	else
		%bl_id = %client.bl_id;

	%filename = "config/server/EndlessMining/DB/" @ %bl_id;
	%filename2 = "config/server/EndlessMining/DB/" @ %bl_id @ "_checkpoints";

	%file = new FileObject();
	%file.openForWrite(%filename);

	%file.writeLine(%client.cash);
	%file.writeLine(%client.dirt);
	%file.writeLine(%client.level);
	%file.writeLine(%client.cost);
	%file.writeLine(%client.heatsuits);
	%file.writeLine(%client.radsuits);
	%file.writeLine(%client.waterspray);
	%file.writeLine(%client.dirtplacer);
	%file.writeLine(%client.lantern);
	%file.writeLine(%client.dynamiteLevel);
	%file.writeLine(%client.checkpoint);
	%file.writeLine(%client.pickaxe);
	%file.writeLine(%client.sword);
	%file.writeLine(%client.UTExplosion);
	%file.writeLine(%client.buildPlacer);
	%file.writeLine(%client.player.health);
	%file.writeLine(%client.maxHealth);
	%file.writeLine(%client.points);

	%file.close();
	%file.delete();

	%list = "MiningCheckpoints_" @ %client.bl_id;
	if(!isObject(%list))
		return;

	%file = new FileObject();
	%file.openForWrite(%filename2);

	for(%i=0;%i<%list.getCount();%i++)
	{
		%obj = %list.getObject(%i);
		%file.writeLine(%obj.added TAB %obj.location);
	}

	%file.close();
	%file.delete();

	echo("Data for BL_ID" SPC %client.bl_id SPC "has been saved");
}

function miningLoad(%client,%reset)
{
	if(%client.bl_id == 999999)
		%bl_id = getNumKeyID();
	else
		%bl_id = %client.bl_id;
	%filename = "config/server/EndlessMining/DB/" @ %bl_id;
	%filename2 = "config/server/EndlessMining/DB/" @ %bl_id @ "_checkpoints";

	if(!isFile(%filename))
	{
		%client.cost = 100;
		%client.level = 1;
		%client.dirt = 0;
		%client.cash = 0;
		%client.heatsuits = 0;
		%client.radsuits = 0;
		%client.waterspray = 0;
		%client.dirtplacer = 0;
		%client.lantern = 0;
		%client.dynamiteLevel = 1;
		%client.checkpoint = "0 0 49900";
		%client.pickaxe = 0;
		%client.sword = 0;
		%client.buildPlacer = 0;
		%client.UTExplosion = 1;
		%client.player.health = 100;
		%client.maxHealth = 100;
		%client.points = 0;
	}
	else
	{
		%file = new FileObject();
		%file.openForRead(%filename);

		%line = %file.readLine();
		%client.cash = getField(%line,0);
		%line = %file.readLine();
		%client.dirt = getField(%line,0);
		%line = %file.readLine();
		%client.level = getField(%line,0);
		%line = %file.readLine();
		%client.cost = getField(%line,0);
		%line = %file.readLine();
		%client.heatsuits = getField(%line,0);
		%line = %file.readLine();
		%client.radsuits = getField(%line,0);
		%line = %file.readLine();
		%client.waterspray = getField(%line,0);
		%line = %file.readLine();
		%client.dirtplacer = getField(%line,0);
		%line = %file.readLine();
		%client.lantern = getField(%line,0);
		%line = %file.readLine();
		%client.dynamiteLevel = getField(%line,0);
		%line = %file.readLine();
		%client.checkpoint = getField(%line,0);
		%line = %file.readLine();
		%client.pickaxe = getField(%line,0);
		%line = %file.readLine();
		%client.sword = getField(%line,0);
		%line = %file.readLine();
		%client.UTExplosion = getField(%line,0);
		%line = %file.readLine();
		%client.buildPlacer = getField(%line,0);
		%line = %file.readLine();
		%client.player.health = getField(%line,0);
		%line = %file.readLine();
		%client.maxHealth = getField(%line,0);
		%line = %file.readLine();
		%client.points = getField(%line,0);

		%file.close();
		%file.delete();

		%file = new FileObject();
		%file.openForRead(%filename2);

		%list = "MiningCheckpoints_" @ %client.bl_id;

		if(!isObject("MiningCheckpoints_" @ %client.bl_id))
			new SimSet("MiningCheckpoints_" @ %client.bl_id) { name = "MiningCheckpoints_" @ %client.bl_id; };

		while(!%file.isEOF())
		{
			%line = %file.readLine();

			%data = new ScriptObject(CheckpointData)
			{
				added = getField(%line,0);
				location = getField(%line,1);
			};
			%list.add(%data);
		}

		%file.close();
		%file.delete();

		echo("Data for BL_ID" SPC %client.bl_id SPC "has been loaded");
	}
	
	if(%reset $= "reset")
	{
		%client.cost = 100;
		%client.level = 1;
		%client.dirt = 0;
		%client.cash = 0;
		%client.heatsuits = 0;
		%client.radsuits = 0;
		%client.waterspray = 0;
		%client.dirtplacer = 0;
		%client.lantern = 0;
		%client.dynamiteLevel = 1;
		%client.checkpoint = "0 0 49900";
		%client.pickaxe = 0;
		%client.sword = 0;
		%client.buildPlacer = 0;
		%client.UTExplosion = 1;
		%client.player.health = 100;
		%client.maxHealth = 100;
		%client.points = 0;
	}
}